## r-bioc-decoupler 2.2.2+dfsg

=== DESCRIPTION ===
Type: Package
Package: decoupleR
Title: decoupleR: Ensemble of computational methods to infer biological
        activities from omics data
Version: 2.2.2
Authors@R: 
    c(person(given = "Pau",
             family = "Badia-i-Mompel",
             role = c("aut","cre"),
             email = "pau.badia@uni-heidelberg.de",
             comment = c(ORCID = "0000-0002-1004-3923")),
      person(given = "Jesús",
             family = "Vélez-Santiago",
             role = c("aut"),
             email = "jvelezmagic@gmail.com",
             comment = c(ORCID = "0000-0001-5128-3838")),
      person(given = "Jana",
             family = "Braunger",
             role = c("aut"),
             email = "jana.bc@gmx.de",
             comment = c(ORCID = "0000-0003-0820-9987")),
      person(given = "Celina",
             family = "Geiss",
             role = c("aut"),
             email = "celina.geiss@stud.uni-heidelberg.de",
             comment = c(ORCID = "0000-0002-8740-706X")),
      person(given = "Daniel",
             family = "Dimitrov",
             role = c("aut"),
             email = "daniel.dimitrov@uni-heidelberg.de",
             comment = c(ORCID = "0000-0002-5197-2112")),
      person(given = "Sophia",
             family = "Müller-Dott",
             role = c("aut"),
             email = "sophia.mueller-dott@uni-heidelberg.de",
             comment = c(ORCID = "0000-0002-9710-1865")),
      person(given = "Petr",
             family = "Taus",
             role = c("aut"),
             email = "petr.taus@ceitec.muni.cz",
             comment = c(ORCID = "0000-0003-3764-9033")),
      person(given = "Aurélien",
             family = "Dugourd",
             role = c("aut"),
             email = "aurelien.dugourd@bioquant.uni-heidelberg.de",
             comment = c(ORCID = "0000-0002-0714-028X")),
      person(given = "Christian H.",
             family = "Holland",
             role = "aut",
             email = "cholland2408@gmail.com",
             comment = c(ORCID = "0000-0002-3060-5786")),
      person(given = "Ricardo O.",
             family = "Ramirez Flores",
             role = c("aut"),
             email = "roramirezf@uni-heidelberg.de ",
             comment = c(ORCID = "0000-0003-0087-371X")),
      person(given = "Julio",
             family = "Saez-Rodriguez",
             role = c("aut"),
             email = "pub.saez@uni-heidelberg.de",
             comment = c(ORCID = "0000-0002-8552-8976"))
             )
Description: Many methods allow us to extract biological activities from omics 
    data using information from prior knowledge resources, reducing the 
    dimensionality for increased statistical power and better interpretability. 
    Here, we present decoupleR, a Bioconductor package containing different 
    statistical methods to extract these signatures within a unified framework. 
    decoupleR allows the user to flexibly test any method with any resource. 
    It incorporates methods that take into account the sign and weight of 
    network interactions. decoupleR can be used with any omic, as long as its 
    features can be linked to a biological process based on prior knowledge. 
    For example, in transcriptomics gene sets regulated by a transcription 
    factor, or in phospho-proteomics phosphosites that are targeted by a kinase.
License: GPL-3 + file LICENSE
URL: https://saezlab.github.io/decoupleR/
BugReports: https://github.com/saezlab/decoupleR/issues
Depends: R (>= 4.0)
Imports: broom, dplyr, magrittr, Matrix, purrr, rlang, stats, stringr,
        tibble, tidyr, tidyselect, withr
Suggests: glmnet (>= 4.1.0), GSVA, viper, fgsea (>= 1.15.4), AUCell,
        SummarizedExperiment, rpart, ranger, BiocStyle, covr, knitr,
        pkgdown, RefManageR, rmarkdown, roxygen2, sessioninfo,
        pheatmap, testthat, OmnipathR, Seurat, ggplot2, ggrepel,
        patchwork
VignetteBuilder: knitr
biocViews: DifferentialExpression, FunctionalGenomics, GeneExpression,
        GeneRegulation, Network, Software, StatisticalMethod,
        Transcription,
Config/testthat/edition: 3
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.2
git_url: https://git.bioconductor.org/packages/decoupleR
git_branch: RELEASE_3_15
git_last_commit: a28864c
git_last_commit_date: 2022-05-09
Date/Publication: 2022-05-15
NeedsCompilation: no
Packaged: 2022-05-15 20:19:23 UTC; biocbuild
Author: Pau Badia-i-Mompel [aut, cre] (<https://orcid.org/0000-0002-1004-3923>),
  Jesús Vélez-Santiago [aut] (<https://orcid.org/0000-0001-5128-3838>),
  Jana Braunger [aut] (<https://orcid.org/0000-0003-0820-9987>),
  Celina Geiss [aut] (<https://orcid.org/0000-0002-8740-706X>),
  Daniel Dimitrov [aut] (<https://orcid.org/0000-0002-5197-2112>),
  Sophia Müller-Dott [aut] (<https://orcid.org/0000-0002-9710-1865>),
  Petr Taus [aut] (<https://orcid.org/0000-0003-3764-9033>),
  Aurélien Dugourd [aut] (<https://orcid.org/0000-0002-0714-028X>),
  Christian H. Holland [aut] (<https://orcid.org/0000-0002-3060-5786>),
  Ricardo O. Ramirez Flores [aut]
    (<https://orcid.org/0000-0003-0087-371X>),
  Julio Saez-Rodriguez [aut] (<https://orcid.org/0000-0002-8552-8976>)
Maintainer: Pau Badia-i-Mompel <pau.badia@uni-heidelberg.de>

=== debian/changelog ===
r-bioc-decoupler (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Exclude test requiring r-bioc-omnipath, r-bioc-fgsea, r-bioc-aucell and
    r-bioc-viper

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jun 2022 10:06:13 +0200

r-bioc-decoupler (2.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1010931)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 14:53:37 +0200

## r-bioc-decoupler 2.4.0%2Bdfsg

=== debian/control ===
Source: r-bioc-decoupler
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-decoupler
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-decoupler.git
Homepage: https://bioconductor.org/packages/decoupleR/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-broom,
               r-cran-dplyr,
               r-cran-magrittr,
               r-cran-matrix,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-stringr,
               r-cran-tibble,
               r-cran-tidyr,
               r-cran-tidyselect,
               r-cran-withr
Testsuite: autopkgtest-pkg-r

Package: r-bioc-decoupler
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: infer biological activities from omics data
 Many methods allow one to extract biological activities from omics
 data using information from prior knowledge resources, reducing the
 dimensionality for increased statistical power and better interpretability.
 DecoupleR is a Bioconductor package containing different
 statistical methods to extract these signatures within a unified framework.
 decoupleR allows the user to flexibly test any method with any resource.
 It incorporates methods that take into account the sign and weight of
 network interactions. decoupleR can be used with any omic, as long as its
 features can be linked to a biological process based on prior knowledge.
 For example, in transcriptomics gene sets regulated by a transcription
 factor, or in phospho-proteomics phosphosites that are targeted by a kinase.

## r-bioc-decoupler 2.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: decoupleR
 Title: decoupleR: Ensemble of computational methods to infer biological
         activities from omics data
-Version: 2.2.2
+Version: 2.4.0
 Authors@R: 
     c(person(given = "Pau",
              family = "Badia-i-Mompel",
@@ -91,12 +91,12 @@
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/decoupleR
-git_branch: RELEASE_3_15
-git_last_commit: a28864c
-git_last_commit_date: 2022-05-09
-Date/Publication: 2022-05-15
+git_branch: RELEASE_3_16
+git_last_commit: 2847935
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-05-15 20:19:23 UTC; biocbuild
+Packaged: 2022-11-01 21:20:42 UTC; biocbuild
 Author: Pau Badia-i-Mompel [aut, cre] (<https://orcid.org/0000-0002-1004-3923>),
   Jesús Vélez-Santiago [aut] (<https://orcid.org/0000-0001-5128-3838>),
   Jana Braunger [aut] (<https://orcid.org/0000-0003-0820-9987>),

=== debian/changelog ===
r-bioc-decoupler (2.4.0+dfsg-1) unstable; urgency=medium

  * Complete list of Test-Depends from suggests
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:38:48 +0100

## r-bioc-decoupler 2.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: decoupleR
 Title: decoupleR: Ensemble of computational methods to infer biological
         activities from omics data
-Version: 2.4.0
+Version: 2.6.0
 Authors@R: 
     c(person(given = "Pau",
              family = "Badia-i-Mompel",
@@ -89,14 +89,14 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/decoupleR
-git_branch: RELEASE_3_16
-git_last_commit: 2847935
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 55eb7fb
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:20:42 UTC; biocbuild
+Packaged: 2023-04-25 20:50:50 UTC; biocbuild
 Author: Pau Badia-i-Mompel [aut, cre] (<https://orcid.org/0000-0002-1004-3923>),
   Jesús Vélez-Santiago [aut] (<https://orcid.org/0000-0001-5128-3838>),
   Jana Braunger [aut] (<https://orcid.org/0000-0003-0820-9987>),

=== debian/changelog ===
r-bioc-decoupler (2.6.0+dfsg-2) unstable; urgency=medium

  * Manually change versioned Test-Depends which was specified wrongly in
    DESCRIPTION
    Closes: #1043224

 -- Andreas Tille <tille@debian.org>  Thu, 17 Aug 2023 14:14:12 +0200

r-bioc-decoupler (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 15:25:41 +0200

## r-bioc-decoupler 2.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: decoupleR
 Title: decoupleR: Ensemble of computational methods to infer biological
         activities from omics data
-Version: 2.6.0
+Version: 2.8.0
 Authors@R: 
     c(person(given = "Pau",
              family = "Badia-i-Mompel",
@@ -91,12 +91,12 @@
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/decoupleR
-git_branch: RELEASE_3_17
-git_last_commit: 55eb7fb
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 6b979f7
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:50:50 UTC; biocbuild
+Packaged: 2023-10-24 20:58:37 UTC; biocbuild
 Author: Pau Badia-i-Mompel [aut, cre] (<https://orcid.org/0000-0002-1004-3923>),
   Jesús Vélez-Santiago [aut] (<https://orcid.org/0000-0001-5128-3838>),
   Jana Braunger [aut] (<https://orcid.org/0000-0003-0820-9987>),

=== debian/changelog ===
r-bioc-decoupler (2.8.0+dfsg-2) unstable; urgency=medium

  * Use dh-update-R from dh-r 20231212 which results in proper version
    of glmnet

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2023 15:19:08 +0100

r-bioc-decoupler (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 20:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-decoupler
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-decoupler.git
 Homepage: https://bioconductor.org/packages/decoupleR/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-decoupler 2.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: decoupleR
 Title: decoupleR: Ensemble of computational methods to infer biological
         activities from omics data
-Version: 2.8.0
+Version: 2.10.0
 Authors@R: 
     c(person(given = "Pau",
              family = "Badia-i-Mompel",
@@ -60,28 +60,28 @@
              email = "pub.saez@uni-heidelberg.de",
              comment = c(ORCID = "0000-0002-8552-8976"))
              )
-Description: Many methods allow us to extract biological activities from omics 
-    data using information from prior knowledge resources, reducing the 
-    dimensionality for increased statistical power and better interpretability. 
-    Here, we present decoupleR, a Bioconductor package containing different 
-    statistical methods to extract these signatures within a unified framework. 
-    decoupleR allows the user to flexibly test any method with any resource. 
-    It incorporates methods that take into account the sign and weight of 
-    network interactions. decoupleR can be used with any omic, as long as its 
-    features can be linked to a biological process based on prior knowledge. 
-    For example, in transcriptomics gene sets regulated by a transcription 
+Description: Many methods allow us to extract biological activities from omics
+    data using information from prior knowledge resources, reducing the
+    dimensionality for increased statistical power and better interpretability.
+    Here, we present decoupleR, a Bioconductor package containing different
+    statistical methods to extract these signatures within a unified framework.
+    decoupleR allows the user to flexibly test any method with any resource.
+    It incorporates methods that take into account the sign and weight of
+    network interactions. decoupleR can be used with any omic, as long as its
+    features can be linked to a biological process based on prior knowledge.
+    For example, in transcriptomics gene sets regulated by a transcription
     factor, or in phospho-proteomics phosphosites that are targeted by a kinase.
 License: GPL-3 + file LICENSE
 URL: https://saezlab.github.io/decoupleR/
 BugReports: https://github.com/saezlab/decoupleR/issues
 Depends: R (>= 4.0)
-Imports: broom, dplyr, magrittr, Matrix, purrr, rlang, stats, stringr,
-        tibble, tidyr, tidyselect, withr
-Suggests: glmnet (>= 4.1.0), GSVA, viper, fgsea (>= 1.15.4), AUCell,
+Imports: BiocParallel, broom, dplyr, magrittr, Matrix, parallelly,
+        purrr, rlang, stats, stringr, tibble, tidyr, tidyselect, withr
+Suggests: glmnet (>= 4.1-7), GSVA, viper, fgsea (>= 1.15.4), AUCell,
         SummarizedExperiment, rpart, ranger, BiocStyle, covr, knitr,
         pkgdown, RefManageR, rmarkdown, roxygen2, sessioninfo,
         pheatmap, testthat, OmnipathR, Seurat, ggplot2, ggrepel,
-        patchwork
+        patchwork, magick
 VignetteBuilder: knitr
 biocViews: DifferentialExpression, FunctionalGenomics, GeneExpression,
         GeneRegulation, Network, Software, StatisticalMethod,
@@ -89,14 +89,15 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.0
 git_url: https://git.bioconductor.org/packages/decoupleR
-git_branch: RELEASE_3_18
-git_last_commit: 6b979f7
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 7e6c106
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-29
 NeedsCompilation: no
-Packaged: 2023-10-24 20:58:37 UTC; biocbuild
+Packaged: 2024-05-29 20:53:33 UTC; biocbuild
 Author: Pau Badia-i-Mompel [aut, cre] (<https://orcid.org/0000-0002-1004-3923>),
   Jesús Vélez-Santiago [aut] (<https://orcid.org/0000-0001-5128-3838>),
   Jana Braunger [aut] (<https://orcid.org/0000-0003-0820-9987>),

=== debian/changelog ===
r-bioc-decoupler (2.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:28:19 +0200

r-bioc-decoupler (2.10.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 15:57:26 +0200

r-bioc-decoupler (2.10.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 15:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-bioc-biocparallel (>= 1.38.0),
                r-cran-broom,
                r-cran-dplyr,
                r-cran-magrittr,
                r-cran-matrix,
+               r-cran-parallelly,
                r-cran-purrr,
                r-cran-rlang,
                r-cran-stringr,
@@ -27,9 +29,13 @@
 Package: r-bioc-decoupler
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocparallel (>= 1.38.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-gsva (>= 1.52.3),
+          r-bioc-summarizedexperiment (>= 1.34.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: infer biological activities from omics data
  Many methods allow one to extract biological activities from omics
  data using information from prior knowledge resources, reducing the

## r-bioc-decoupler 2.12.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: decoupleR
 Title: decoupleR: Ensemble of computational methods to infer biological
         activities from omics data
-Version: 2.10.0
+Version: 2.12.0
 Authors@R: 
     c(person(given = "Pau",
              family = "Badia-i-Mompel",
@@ -91,13 +91,13 @@
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.3.0
 git_url: https://git.bioconductor.org/packages/decoupleR
-git_branch: RELEASE_3_19
-git_last_commit: 7e6c106
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-29
+git_branch: RELEASE_3_20
+git_last_commit: bc3245c
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-29 20:53:33 UTC; biocbuild
+Packaged: 2024-10-30 00:20:26 UTC; biocbuild
 Author: Pau Badia-i-Mompel [aut, cre] (<https://orcid.org/0000-0002-1004-3923>),
   Jesús Vélez-Santiago [aut] (<https://orcid.org/0000-0001-5128-3838>),
   Jana Braunger [aut] (<https://orcid.org/0000-0003-0820-9987>),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.R" -o -name "*.md" \) -exec chmod -x \{\} \;

## r-bioc-decoupler 2.12.0+dfsg

=== debian/changelog ===
r-bioc-decoupler (2.12.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 20:37:58 +0100

r-bioc-decoupler (2.12.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 11:50:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-decoupler
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-decoupler.git
 Homepage: https://bioconductor.org/packages/decoupleR/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-biocparallel,
                r-cran-broom,
                r-cran-dplyr,
                r-cran-magrittr,
@@ -29,13 +29,9 @@
 Package: r-bioc-decoupler
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-biocparallel (>= 1.38.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-gsva (>= 1.52.3),
-          r-bioc-summarizedexperiment (>= 1.34.0),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: infer biological activities from omics data
  Many methods allow one to extract biological activities from omics
  data using information from prior knowledge resources, reducing the

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/decoupleR.html .*/decoupleR_(.*).tar.gz
